%define upstream_name    Plack-Middleware-RemoveRedundantBody
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Removes body for HTTP response if it's not required
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module removes body in HTTP response, if it's not required.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-3.mga9
+ Revision: 1811790
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.90.0-2.mga8
+ Revision: 1527476
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jul 17 2019 tv <tv> 0.90.0-1.mga8
+ Revision: 1421972
- update to 0.09

* Mon Jul 15 2019 tv <tv> 0.80.0-1.mga8
+ Revision: 1421565
- update to 0.08

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1285731
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 0.70.0-1.mga7
+ Revision: 1207234
- update to 0.07

* Tue Oct 03 2017 tv <tv> 0.60.0-2.mga7
+ Revision: 1166233
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.60.0-1.mga7
+ Revision: 1159476
- update to 0.06

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-5.mga6
+ Revision: 1032174
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-4.mga6
+ Revision: 947652
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 750734
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 685986
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 623924
- update to 0.05

* Tue May 06 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 620724
- update to 0.04

* Thu Feb 13 2014 jquelin <jquelin> 0.30.0-1.mga5
+ Revision: 590587
- imported package perl-Plack-Middleware-RemoveRedundantBody


* Thu Feb 13 2014 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
